upgrade

  1. adams

    www/nginx 1.10.x "service nginx upgrade" results in "Address already in use"

    We use service nginx upgrade to do seamless restarting of NginX processes weekly due to high volume sites' having their NginX processes simply exit after a few weeks otherwise. I appreciate that this is a bandaid and shouldn't be needed, but it is. This spans dozens of machines and clients...
  2. `Orum

    Samba 3.6 to 4.x: User Profile Service Failed the Login?

    I'm trying to do a long overdue upgrade from samba 3.6 to 4.x (I've tried all available 4.x releases from ports, 4.2, 4.3, and 4.4), and I've run into the very strange error message in the title of this post. Why is it so strange? Well, let me start at the beginning. I'm still trying to, for...
  3. formaltux

    Solved eval: ${ifconfig_...}: Bad substitution during upgrade from 9.3 to 10.3

    Hi, Upgrading from 9.3 to 10.3 on i386 platform. cd /usr/src rm -rf * rm -rf .svn svn checkout svn://svn.freebsd.org/base/releng/10.3 /usr/src cd /usr/src/usr.sbin/mergemaster ./mergemaster.sh -p cd /usr/obj chflags -R noschg * rm -rf * cd /usr/src make -j4 buildworld cd /usr/src make...
  4. amiramix

    Not merging changed files during an upgrade

    I am upgrading 10.2 to 10.3. freebsd-update -r 10.3-RELEASE upgrade said that the following files have changed /.cshrc /.profile /root/.cshrc /root/.profile and it won't be installing them. But actually didn't show any merge. Where the update or mergemaster store the new config files unpacked...
  5. ericx

    portmaster display inclusion logic

    Is there a way to cause portmaster -a to display it's logic for adding ports? Specifically, I have a system with perl5-5.20.3_8 already installed, but running portmaster -a stipulates that lang/perl5.22 should be installed. This, of course, fails due to conflict. Presumably another port I'm...
  6. T

    Why does Firefox crash every time I update it?

    Just a question, in case anyone has an answer: why does the Firefox port crash every time I update it? Example from today's update, from /var/log/messages: Feb 9 21:31:09 kg-core1 pkg: firefox-44.0,1 deinstalled Feb 9 21:31:17 kg-core1 pkg-static: firefox-44.0.1,1 installed Feb 9 21:32:11...
  7. amiramix

    Solved Corrupted pkg database?

    root@server:~ # pkg version bash-4.3.42_1 = ca_root_nss-3.20.1 = cpdup-1.17_2 = curl-7.44.0 < cvsps-2.1_1 = expat-2.1.0_3 = gettext-0.19.5.1 < gettext-runtime-0.19.5.1 < gettext-tools-0.19.5.1 < git-2.6.1 < indexinfo-0.2.3 < libffi-3.2.1 = p5-Authen-SASL-2.16_1 =...
  8. P

    Solved Porting Electrum Bitcoin wallet

    Hello! Looked around a bit and realised it seems like FreeBSD is not having any Bitcoin wallet natively available? I would love to see Electrum ported or maybe some other Bitcoin wallet software which doesn't have to download the whole Bitcoin blockchain database... Question number 2 is...
  9. J

    Best way to automatically keep system, packages, and daemons up to date

    Hi, I'd like to know if you have a good way of keeping a system completely up to date in a completely automated way. If my understanding is correct, I can add 42 8 * * * freebsd-update cron in root's crontab to have the base system (I guess that means the kernel and the programs in /bin)...
  10. R

    FreeBSD 9.3 MySQL updating problem

    Hey guys, i I want to install the MySQL packages on the FreeBSD root, its the first time I am trying to work with a FreeBSD root, and now I have an error. I hope someone can help me to fix it. "cd /usr/ports/databases/mysql55-server /usr/ports/databases/mysql55-server # make...
  11. O

    libucl.so.1 missing after upgrading to 10.2-RELEASE

    (Some issues in common with https://forums.freebsd.org/threads/pkg-broken-after-ugrading-freebsd-from-10-1-to-10-2.52817/, notably the lack of libucl.so.1) Before upgrading from 10.1-STABLE to 10.2-RELEASE, pkg was working nicely. After upgrading, libucl.so.1 is missing. This seems very weird...
  12. FKEinternet

    Upgrade FreeBSD using DVD

    I have a FreeBSD installation that had an upgrade failure between 8.? and 9.4 (IIRC). In the interest of getting 10.2 working properly on the machine, I downloaded the DVD image and burned a disc. Now I'm trying to figure out how to do the upgrade, and all I can find are instructions pointing...
Top